Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Points

List
GET /highscores/{highscoreId}/points
https://api.relesysapp.net/api/v1.4/highscores/{highscoreId}/points
Get a list of all points given for the highscore with ID highscoreId.
Default sort is by creationDateTime in ascending order.

isManuallyGiven indicates whether a point entry has been manually given or not.
isActive indicates whether a point entry is given after the highscore's last time of point reset.
Scopes: relesys.api, relesys.api:read, relesys.api.highscores, relesys.api.highscores:read
URL Path
highscoreId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
isActive boolean Filterable optional
isManuallyGiven boolean Filterable optional
userId string / guid Filterable optional
value integer Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"951f6e09-d6d1-403c-be05-e0c1812aeb82","userId":"1b86e168-86b6-4224-9722-4f90a588472d","creationDateTime":"2026-10-12T06:15:44.0234871+00:00","description":"Example description 1","isManuallyGiven":true,"isActive":false,"value":10},{"id":"e4838bc4-4907-4f2c-a382-3c0ee7d25bab","userId":"616f1429-5880-4d7c-a59a-1bcfcdd56764","creationDateTime":"2026-10-15T06:15:44.0234871+00:00","description":"Example description 2","isManuallyGiven":false,"isActive":true,"value":25}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   description string      
   id string / guid      
   isActive boolean      
   isManuallyGiven boolean      
   userId string / guid      
   value integer      
  nextUrl string      
  previousUrl string